---
title: StyleSheet.type
slug: Web/API/StyleSheet/type
tags:
  - API
  - CSSOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>type</strong></code> property of the {{domxref("StyleSheet")}} interface specifies the style sheet language for the given style sheet.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = stylesheet.type
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js"> myStyleSheet.type = 'text/css';
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-stylesheet-type", "StyleSheet: type")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StyleSheet.type")}}</p>
